image: python:3.6-alpine

pages:
  stage: deploy
  script:
  - pip install sphinx
  - pip install docutils==0.16
  - pip install sphinx_rtd_theme==0.5.1
  - pip install recommonmark
  - sphinx-build -b html . html
  - mv html public
  artifacts:
    paths:
    - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

